%lilypond input for Mozart's Litaniae Lauretanae KV 109

\include "deutsch.ly"

\include "LitaniaeLauretanae_KV109_Global.ly"
\include "LitaniaeLauretanae_KV109_Kyrie.ly"
\include "LitaniaeLauretanae_KV109_SanctaMaria.ly"
\include "LitaniaeLauretanae_KV109_SalusInfirmorum.ly"
\include "LitaniaeLauretanae_KV109_ReginaAngelorum.ly"
\include "LitaniaeLauretanae_KV109_AgnusDei.ly"


#(set-global-staff-size 16.5)

\paper {
  scoreTitleMarkup = \markup { \column {
%    \on-the-fly #print-all-headers { \bookTitleMarkup \hspace #1 }
    \fill-line {
      \fontsize #3 \bold \fromproperty #'header:piece
      \fromproperty #'header:opus
    }
  }}
}
\paper {
	bottom-margin = 1\cm
	top-margin = 0.5\cm
	left-margin = 2\cm
	line-width = 17\cm
% 	between-system-space = 0.5\cm
% 	between-system-padding = 0\cm
	after-title-space = 0.5\cm
	ragged-bottom = ##f
	ragged-last-bottom = ##f
}
\layout {
  \context {
    \ChoirStaff 
    % If only one non-empty staff in a system exists, still print the backet
    \override SystemStartBracket #'collapse-height = #1
    \override SystemStartBar #'collapse-height = #1
  }
  \context {
    \Score
    % Force multi-measure rests to be written as one span
    \override MultiMeasureRest #'expand-limit = #1
    skipBars = ##t
    % Remove all-rest staves, even in the first system
    \override VerticalAxisGroup #'remove-first = ##t
    % Larger horizontal spacing
 	  \override SeparationItem #'padding = #1.4
  }
  \context {
    \RemoveEmptyStaffContext 
  }
	\context {
		\Lyrics
		\override VerticalAxisGroup #'minimum-Y-extent = #'(2 . 2)
	}
	\context { 
		\Staff
		\override VerticalAxisGroup #'minimum-Y-extent = #'(3 . 3)
	}
}


\include "LitaniaeLauretanae_KV109_Kyrie_Score.ly"
\include "LitaniaeLauretanae_KV109_SanctaMaria_Score.ly"
\include "LitaniaeLauretanae_KV109_SalusInfirmorum_Score.ly"
\include "LitaniaeLauretanae_KV109_ReginaAngelorum_Score.ly"
\include "LitaniaeLauretanae_KV109_AgnusDei_Score.ly"
